<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                version="1.0" >

<!--
  -
  -  template "/"
  -
  -->
<xsl:template match="/">
<html>
<head>
<title>cmconv_all</title>
</head>
<body>
<xsl:apply-templates select="cmconv" />
</body>
</html>
</xsl:template>


<!--
  -
  -  template "cmconv"
  -
  -->
<xsl:template match="cmconv">
<!--
<xsl:for-each select="session">
<xsl:if test="position() = last()">
-->

<xsl:for-each select="operation">
<xsl:if test="position() = last()">

<h3>Operation <xsl:value-of select="@date"/>/<xsl:value-of select="@time"/></h3>

<table border="0" width="90%" align="center">
<tr>
<td>
<table border="0" width="100%">
<tr><td colspan="2">Summary</td></tr>
<tr><th width="30%"
        class="error" >Error     </th><td class="error" ><xsl:value-of select="count(log[@pri='error'])"/></td></tr>
<tr><th class="warn"  >Warning   </th><td class="warn"  ><xsl:value-of select="count(log[@pri='warn'])"/></td></tr>
<tr><th class="notice">Notice    </th><td class="notice"><xsl:value-of select="count(log[@pri='notice'])"/></td></tr>
<tr><th class="info"  >Info      </th><td class="info"  ><xsl:value-of select="count(log[@pri='info'])"/></td></tr>
<tr><th class="debug" >Debug Msg </th><td class="debug" ><xsl:value-of select="count(log[@pri='debug'])"/></td></tr>
<tr><th>Total         </th><td><xsl:value-of select="count(log)"/></td></tr>
<tr><td colspan="2">Details</td></tr>
<xsl:for-each select="log">
<tr>
<!--<xsl:if test="position() mod 2">--><xsl:attribute name="class">log</xsl:attribute><!--</xsl:if>-->
<td colspan="2">
<xsl:attribute name="class"><xsl:value-of select="@pri"/></xsl:attribute>
<xsl:value-of select="text()"/>
</td></tr>
</xsl:for-each>
</table>
</td>
</tr>
</table>
</xsl:if>
</xsl:for-each>

<!--
</xsl:if>
</xsl:for-each>
-->
</xsl:template>

</xsl:stylesheet>
